package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.MallPermission;

import java.util.List;

public interface MallPermissionService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param offset
     * @param limit
     * @return
     */
	PageInfo<MallPermission> listAsPage(MallPermission record, Integer pageIndex, Integer pageSize);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    MallPermission getById(Long id);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(MallPermission record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);
    
    /**
     * 根据roleId查询菜单和按钮权限
     * @param roleId
     * @return
     */
    List<MallPermission> findPermissionByRoleId(Long roleId);

    /**
     * 根据ruleId权限组查找相应权限
     * @param roleIds
     * @return
     */
    List<MallPermission> findPermissionByRoleIds(List<Long> roleIds);
	
	

	
	
	
	
}
